Account
Get notifications
GET
/account/notificationsPrivateGet your notifications: the unread ones by default, the read ones with read=true. Paginated, newest first.
Permissions: account:notifications:read
from?stringStart date, unix epoch 0 by default
Format
date-timeDefault
"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
Format
date-timeDefault
"2026-11-09T17:08:56.664Z"limit?integerNumber of entries to return, default to 1000
Range
1 <= value <= 1000Default
1000cursor?stringCursor for pagination
Format
date-timeread?stringFilter by read status
OK
application/json- response
data*array<|||||||||||||||||||>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient({
key: 'your-key',
secret: 'your-secret',
passphrase: 'your-passphrase',
})
const result = await client.account.getNotifications({
from: '1970-01-01T00:00:00.000Z',
to: '2026-11-09T17:08:56.136Z',
limit: 500
}){
"data": [
{
"id": "string",
"createdAt": "2019-08-24T14:15:22Z",
"event": "deposit.lightning.success",
"data": {
"id": "string",
"amount": 0
}
}
],
"nextCursor": "2024-01-15T10:30:00.000Z"
}